org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoSerializersV3d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoSerializersV3d0

-     public final class GryoSerializersV3d0
      extends Object

  This class holds serializers for graph-based objects such as vertices, edges, properties, and paths. These objects are "detached" using `DetachedFactory` before serialization. These serializers present a generalized way to serialize the implementations of core interfaces. These serializers are versioned and not compatible with Gryo 1.0.
  Author:
    Stephen Mallette (http://stephen.genoprime.com), Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GryoSerializersV3d0.BindingSerializer`
    `static class` | `GryoSerializersV3d0.BytecodeSerializer`
    `static class` | `GryoSerializersV3d0.DefaultRemoteTraverserSerializer`
    `static class` | `GryoSerializersV3d0.EdgeSerializer` Serializes any `Edge` implementation encountered to a `DetachedEdge`.
    `static class` | `GryoSerializersV3d0.LambdaSerializer`
    `static class` | `GryoSerializersV3d0.MetricsSerializer`
    `static class` | `GryoSerializersV3d0.PathSerializer` Serializes any `Path` implementation encountered to an `DetachedPath`.
    `static class` | `GryoSerializersV3d0.PropertySerializer` Serializes any `Property` implementation encountered to an `DetachedProperty`.
    `static class` | `GryoSerializersV3d0.PSerializer`
    `static class` | `GryoSerializersV3d0.TextPSerializer`
    `static class` | `GryoSerializersV3d0.TraversalMetricsSerializer`
    `static class` | `GryoSerializersV3d0.VertexPropertySerializer` Serializes any `VertexProperty` implementation encountered to an `DetachedVertexProperty`.
    `static class` | `GryoSerializersV3d0.VertexSerializer` Serializes any `Vertex` implementation encountered to an `DetachedVertex`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GryoSerializersV3d0()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GryoSerializersV3d0

          public GryoSerializersV3d0()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.